%define _empty_manifest_terminate_build 0

Name:           python-orjson
Version:        3.10.15
Release:        %mkrel 2
Summary:        Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy
License:        Apache-2.0, MIT
Group:          Development/Python
URL:            https://github.com/ijl/orjson/
#Source0:        https://pypi.io/packages/source/o/orjson/orjson-%%{version}.tar.gz
Source0:        https://github.com/ijl/orjson/archive/refs/tags/%{version}.tar.gz
Source2:        cargo_config
Patch0:         adjust-cc-version.patch

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-rust)
BuildRequires:  python-flit-core
BuildRequires:  python-pip
BuildRequires:  python-wheel
BuildRequires:  python-maturin
BuildRequires:  rust-associative-cache-devel
BuildRequires:  rust-crates-io-devel
BuildRequires:  rust-crates-io+default-devel
BuildRequires:  rust-pyo3-build-config+default-devel
BuildRequires:  rust-ryu-devel
BuildRequires:  rust-target-lexicon-devel
BuildRequires:  rust-unwinding+default-devel

Requires: python-maturin

%description
orjson is a fast, correct JSON library for Python. 
It benchmarks as the fastest Python library for JSON and is more correct than the standard json library or other third-party libraries. 
It serializes dataclass, datetime, numpy, and UUID instances natively.

%prep
%autosetup -n orjson-%{version}
mkdir .cargo
cp %{SOURCE2} .cargo/config
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
mkdir wheels
pip wheel --wheel-dir wheels --no-deps --no-build-isolation --verbose .

%install
pip install --root=%{buildroot} --no-deps --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links wheels wheels/*.whl

%files
%{python3_sitearch}/orjson-%{version}.dist-info
%{python3_sitearch}/orjson/


%changelog
* Wed Feb 19 2025 daviddavid <daviddavid> 3.10.15-2.mga10
+ Revision: 2149647
- rust-target-lexicon0.13 was renamed as rust-target-lexicon

* Wed Feb 05 2025 tv <tv> 3.10.15-1.mga10
+ Revision: 2145598
- Explicitely list some deps of rust deps (missing deps in some rust pkgs)
- patch 0 : accept a newer version of rust-cc
- Use dynamic deps for rust-*
- 1.0.93
- 1.0.135
- BR rust-ryu-devel
- imported package python-orjson

